Subject: Re: [Techspec] Proposed additional requirement: change history and provenance for RFCs

From: Leslie Daigle <[email-masked]>
Date: Wed, 02 Nov 2005 00:08:07 -0500

Not answering, but adding to the question:  these sound like
reasonably easily implemented requirements.  So, a question
is whether they are actually requirements or low-hanging
fruit -- wish list items that seem easy to throw in the basket.

(N.B.:  I'm *not* trying to prejudice the discussion of the
requirements; I think these are the criteria we need to apply
to all proposed requirements in order to avoid a situation of
having a well-decorated wish, not a plan, for our technical
publications).

Leslie.

Paul Hoffman wrote:
> Greetings again. One thing that many people in the IETF have needed, and 
> have often only found through heavy research, is important metadata for 
> RFCs. Two important types of metadata come to mind:
> 
> - The change history for an RFC that updates or obsoletes an earlier 
> RFC. Some RFCs are very good about listing this type of information, but 
> many (particularly those that update instead of obsolete) are not. This 
> type of information needs to be available to implementers who are handed 
> a pile of RFCs and told to implement the "current standard".
> 
> - The provenance information, namely what caused the document to be 
> published as an RFC. For example, if you are looking at an informational 
> RFC, it is nearly impossible to tell whether it was a self-submitted RFC 
> or one that came from a WG action, unless you know exactly which 
> different boilerplate text was used at which time relative to when the 
> RFC was published. Similarly, knowing if an older standards-track RFC 
> was an individual submission or a WG item can help an implementer look 
> for mailing lists where the RFC was discussed.
> 
> I see that making these both public and easily findable as requirements 
> for our documentation process. Do others agree?
> 
> --Paul Hoffman, Director
> --VPN Consortium
> 
> _______________________________________________
> Techspec mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/techspec
> 

_______________________________________________
Techspec mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/techspec

---

From: Paul Hoffman <[email-masked]>
Date: Wed, 2 Nov 2005 11:28:21 -0800

>fruit -- wish list items that seem easy to throw in the basket.

The are both. They are requirements in the sense that, without them, 
our publishing process does not meet the needs of the IETF. They are 
low-hanging fruit in that they are requirements that should not be 
hard to meet.

>having a well-decorated wish, not a plan, for our technical

Understood. But maybe it is too early to start having us try to only 
list the "ambitious" requirements. We don't know yet what is 
ambitious, and we don't know yet which of the ambitious requirements 
would subsume the low-hanging fruit.

--Paul Hoffman, Director
--VPN Consortium

---

From: Leslie Daigle <[email-masked]>
Date: Fri, 04 Nov 2005 15:49:01 -0500

One point of perspective/clarification:
 > list the "ambitious" requirements. We don't know yet what is ambitious,
 > and we don't know yet which of the ambitious requirements would subsume
 > the low-hanging fruit.

I think we need to list the absolute requirements (not
wishes), whether or not they are ambitious or low-hanging.  We
will then confirm we have or find ways to implement answers to the
requirements.

If there is other low-hanging fruit along the way, we may
toss that in, but the more rigor we can apply in separating
that out now will make our lives easier.

Leslie.

Paul Hoffman wrote:
> The are both. They are requirements in the sense that, without them, our 
> publishing process does not meet the needs of the IETF. They are 
> low-hanging fruit in that they are requirements that should not be hard 
> to meet.
> 
> list the "ambitious" requirements. We don't know yet what is ambitious, 
> and we don't know yet which of the ambitious requirements would subsume 
> the low-hanging fruit.
> 
> --Paul Hoffman, Director
> --VPN Consortium
>